Skip to main content

Get all Child Entity Types of an Entity Type

GET 

/api/workspaces/:workspace_id/entity_types/:id/entity_types/

Get all child entity types of an entity type.

Request​

Path Parameters

    workspace_id stringrequired
    id integerrequired

    A unique integer value identifying this entity type.

Query Parameters

    limit integer

    Possible values: >= 1

    Number of results to return per page.

    offset integer

    The initial index from which to return the results.

Responses​

Schema

    count integerrequired

    Count of all the objects in the result set.

    next string

    Next url.

    previous string

    Previous url.

    results

    object[]

    required

  • Array [

  • id integer
    name string

    Possible values: non-empty

    class_name stringnullable

    Possible values: non-empty

    preprocess_method stringnullable

    Possible values: non-empty

    is_file boolean
    has_designer boolean
    show_children_as string

    Possible values: non-empty

    views object[]

    Views definition

    summary object[]

    Summary definition

    scope string

    Possible values: non-empty and <= 15 characters

    actions object[]nullable

    User permissions

    child_entity_type_ids integer[]

    Ids of the child entity types

    file_constraints object

    Specifies the maximum size and allowed file types

    viktor_store_table_option_field_value boolean

    Migration flag: if true, the value of an option field within a table is stored instead of its label

    viktor_enforce_field_constraints boolean

    Migration flag: if true, violated field constraints block actions until they are resolved

    parametrization_width integernullable
    views_only boolean

    Specifies whether entity type has only views (no parametrization)

    show_file_manager boolean
    navigate_to_editor boolean

    If true, users will navigate directly to the editor of the entity instead of the browse screen

    section_expansion_setting string

    Possible values: [global-open-first, local-per-section]

    allow_saving string
  • ]

Loading...